Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.misc
Interface MiscObjectIdentifiers

public interface MiscObjectIdentifiers

Field Summary
`static ASN1ObjectIdentifier` | `as_sys_sec_alg_ideaCBC`
`static ASN1ObjectIdentifier` | `blake2`
`static ASN1ObjectIdentifier` | `blake3`
`static ASN1ObjectIdentifier` | `blake3_256`
`static ASN1ObjectIdentifier` | `cast5CBC` cast5CBC OBJECT IDENTIFIER ::= {iso(1) member-body(2) us(840) nt(113533) nsn(7) algorithms(66) 10} SEE RFC 2984
`static ASN1ObjectIdentifier` | `cryptlib`
`static ASN1ObjectIdentifier` | `cryptlib_algorithm`
`static ASN1ObjectIdentifier` | `cryptlib_algorithm_blowfish_CBC`
`static ASN1ObjectIdentifier` | `cryptlib_algorithm_blowfish_CFB`
`static ASN1ObjectIdentifier` | `cryptlib_algorithm_blowfish_ECB`
`static ASN1ObjectIdentifier` | `cryptlib_algorithm_blowfish_OFB`
`static ASN1ObjectIdentifier` | `entrust` NortelNetworks Entrust OID base: 1.2.840.113533.7
`static ASN1ObjectIdentifier` | `entrustVersionExtension` NortelNetworks Entrust VersionExtension OID: 1.2.840.113533.7.65.0
`static ASN1ObjectIdentifier` | `hMAC_SHA1`
`static ASN1ObjectIdentifier` | `id_alg_composite`
`static ASN1ObjectIdentifier` | `id_blake2b160`
`static ASN1ObjectIdentifier` | `id_blake2b256`
`static ASN1ObjectIdentifier` | `id_blake2b384`
`static ASN1ObjectIdentifier` | `id_blake2b512`
`static ASN1ObjectIdentifier` | `id_blake2s128`
`static ASN1ObjectIdentifier` | `id_blake2s160`
`static ASN1ObjectIdentifier` | `id_blake2s224`
`static ASN1ObjectIdentifier` | `id_blake2s256`
`static ASN1ObjectIdentifier` | `id_composite_key`
`static ASN1ObjectIdentifier` | `id_composite_signatures`
`static ASN1ObjectIdentifier` | `id_HashMLDSA44_ECDSA_P256_SHA256`
`static ASN1ObjectIdentifier` | `id_HashMLDSA44_Ed25519_SHA512`
`static ASN1ObjectIdentifier` | `id_HashMLDSA44_RSA2048_PKCS15_SHA256`
`static ASN1ObjectIdentifier` | `id_HashMLDSA44_RSA2048_PSS_SHA256`
`static ASN1ObjectIdentifier` | `id_HashMLDSA65_ECDSA_brainpoolP256r1_SHA512`
`static ASN1ObjectIdentifier` | `id_HashMLDSA65_ECDSA_P384_SHA512`
`static ASN1ObjectIdentifier` | `id_HashMLDSA65_Ed25519_SHA512`
`static ASN1ObjectIdentifier` | `id_HashMLDSA65_RSA3072_PKCS15_SHA512`
`static ASN1ObjectIdentifier` | `id_HashMLDSA65_RSA3072_PSS_SHA512`
`static ASN1ObjectIdentifier` | `id_HashMLDSA65_RSA4096_PKCS15_SHA512`
`static ASN1ObjectIdentifier` | `id_HashMLDSA65_RSA4096_PSS_SHA512`
`static ASN1ObjectIdentifier` | `id_HashMLDSA87_ECDSA_brainpoolP384r1_SHA512`
`static ASN1ObjectIdentifier` | `id_HashMLDSA87_ECDSA_P384_SHA512`
`static ASN1ObjectIdentifier` | `id_HashMLDSA87_Ed448_SHA512`
`static ASN1ObjectIdentifier` | `id_MLDSA_COMPSIG`
`static ASN1ObjectIdentifier` | `id_MLDSA44_ECDSA_P256_SHA256` 2.16.840.1.114027.80.9.1.3 id-MLDSA44-ECDSA-P256-SHA256
`static ASN1ObjectIdentifier` | `id_MLDSA44_Ed25519_SHA512` 2.16.840.1.114027.80.9.1.2 id-MLDSA44-Ed25519-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA44_RSA2048_PKCS15_SHA256` 2.16.840.1.114027.80.9.1.1 id-MLDSA44-RSA2048-PKCS15-SHA256
`static ASN1ObjectIdentifier` | `id_MLDSA44_RSA2048_PSS_SHA256` 2.16.840.1.114027.80.9.1.0 id-MLDSA44-RSA2048-PSS-SHA256
`static ASN1ObjectIdentifier` | `id_MLDSA65_ECDSA_brainpoolP256r1_SHA256`
`static ASN1ObjectIdentifier` | `id_MLDSA65_ECDSA_brainpoolP256r1_SHA512` 2.16.840.1.114027.80.9.1.10 id-MLDSA65-ECDSA-brainpoolP256r1-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA65_ECDSA_P256_SHA512` 2.16.840.1.114027.80.9.1.8 id-MLDSA65-ECDSA-P256-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA65_ECDSA_P384_SHA384`
`static ASN1ObjectIdentifier` | `id_MLDSA65_ECDSA_P384_SHA512` 2.16.840.1.114027.80.9.1.9 id-MLDSA65-ECDSA-P384-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA65_Ed25519_SHA512` 2.16.840.1.114027.80.9.1.11 id-MLDSA65-Ed25519-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA65_RSA3072_PKCS15_SHA256`
`static ASN1ObjectIdentifier` | `id_MLDSA65_RSA3072_PKCS15_SHA512` 2.16.840.1.114027.80.9.1.5 id-MLDSA65-RSA3072-PKCS15-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA65_RSA3072_PSS_SHA256`
`static ASN1ObjectIdentifier` | `id_MLDSA65_RSA3072_PSS_SHA512` 2.16.840.1.114027.80.9.1.4 id-MLDSA65-RSA3072-PSS-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA65_RSA4096_PKCS15_SHA384`
`static ASN1ObjectIdentifier` | `id_MLDSA65_RSA4096_PKCS15_SHA512` 2.16.840.1.114027.80.9.1.7 id-MLDSA65-RSA4096-PKCS15-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA65_RSA4096_PSS_SHA384`
`static ASN1ObjectIdentifier` | `id_MLDSA65_RSA4096_PSS_SHA512` 2.16.840.1.114027.80.9.1.6 id-MLDSA65-RSA4096-PSS-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA87_ECDSA_brainpoolP384r1_SHA384`
`static ASN1ObjectIdentifier` | `id_MLDSA87_ECDSA_brainpoolP384r1_SHA512` 2.16.840.1.114027.80.9.1.13 id-MLDSA87-ECDSA-brainpoolP384r1-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA87_ECDSA_P384_SHA384`
`static ASN1ObjectIdentifier` | `id_MLDSA87_ECDSA_P384_SHA512` 2.16.840.1.114027.80.9.1.12 id-MLDSA87-ECDSA-P384-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA87_ECDSA_P521_SHA512` 2.16.840.1.114027.80.9.1.17 id-MLDSA87-ECDSA-P521-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA87_Ed448_SHA512`
`static ASN1ObjectIdentifier` | `id_MLDSA87_Ed448_SHAKE256` 2.16.840.1.114027.80.9.1.14 id-MLDSA87-Ed448-SHAKE256
`static ASN1ObjectIdentifier` | `id_MLDSA87_RSA3072_PSS_SHA512` 2.16.840.1.114027.80.9.1.15 id-MLDSA87-RSA3072-PSS-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA87_RSA4096_PSS_SHA512` 2.16.840.1.114027.80.9.1.16 id-MLDSA87-RSA4096-PSS-SHA512
`static ASN1ObjectIdentifier` | `id_oracle_pkcs12_trusted_key_usage`
`static ASN1ObjectIdentifier` | `id_scrypt`
`static ASN1ObjectIdentifier` | `netscape` Netscape cert extensions OID base: 2.16.840.1.113730.1
`static ASN1ObjectIdentifier` | `netscapeBaseURL` Netscape cert BaseURL OID: 2.16.840.1.113730.1.2
`static ASN1ObjectIdentifier` | `netscapeCApolicyURL` Netscape cert CApolicyURL OID: 2.16.840.1.113730.1.8
`static ASN1ObjectIdentifier` | `netscapeCARevocationURL` Netscape cert CARevocationURL OID: 2.16.840.1.113730.1.4
`static ASN1ObjectIdentifier` | `netscapeCertComment` Netscape cert CertComment OID: 2.16.840.1.113730.1.13
`static ASN1ObjectIdentifier` | `netscapeCertType` Netscape cert CertType OID: 2.16.840.1.113730.1.1
`static ASN1ObjectIdentifier` | `netscapeRenewalURL` Netscape cert RenewalURL OID: 2.16.840.1.113730.1.7
`static ASN1ObjectIdentifier` | `netscapeRevocationURL` Netscape cert RevocationURL OID: 2.16.840.1.113730.1.3
`static ASN1ObjectIdentifier` | `netscapeSSLServerName` Netscape cert SSLServerName OID: 2.16.840.1.113730.1.12
`static ASN1ObjectIdentifier` | `novell` Novell OID base: 2.16.840.1.113719
`static ASN1ObjectIdentifier` | `novellSecurityAttribs` Novell SecurityAttribs OID: 2.16.840.1.113719.1.9.4.1
`static ASN1ObjectIdentifier` | `verisign` Verisign OID base: 2.16.840.1.113733.1
`static ASN1ObjectIdentifier` | `verisignBitString_6_13`
`static ASN1ObjectIdentifier` | `verisignCzagExtension` Verisign CZAG (Country,Zip,Age,Gender) Extension OID: 2.16.840.1.113733.1.6.3
`static ASN1ObjectIdentifier` | `verisignDnbDunsNumber` Verisign D&B D-U-N-S number Extension OID: 2.16.840.1.113733.1.6.15
`static ASN1ObjectIdentifier` | `verisignIssStrongCrypto`
`static ASN1ObjectIdentifier` | `verisignOnSiteJurisdictionHash`
`static ASN1ObjectIdentifier` | `verisignPrivate_6_9`

Field Detail

### netscape

    public static final ASN1ObjectIdentifier netscape

  Netscape cert extensions OID base: 2.16.840.1.113730.1

### netscapeCertType

    public static final ASN1ObjectIdentifier netscapeCertType

  Netscape cert CertType OID: 2.16.840.1.113730.1.1

### netscapeBaseURL

    public static final ASN1ObjectIdentifier netscapeBaseURL

  Netscape cert BaseURL OID: 2.16.840.1.113730.1.2

### netscapeRevocationURL

    public static final ASN1ObjectIdentifier netscapeRevocationURL

  Netscape cert RevocationURL OID: 2.16.840.1.113730.1.3

### netscapeCARevocationURL

    public static final ASN1ObjectIdentifier netscapeCARevocationURL

  Netscape cert CARevocationURL OID: 2.16.840.1.113730.1.4

### netscapeRenewalURL

    public static final ASN1ObjectIdentifier netscapeRenewalURL

  Netscape cert RenewalURL OID: 2.16.840.1.113730.1.7

### netscapeCApolicyURL

    public static final ASN1ObjectIdentifier netscapeCApolicyURL

  Netscape cert CApolicyURL OID: 2.16.840.1.113730.1.8

### netscapeSSLServerName

    public static final ASN1ObjectIdentifier netscapeSSLServerName

  Netscape cert SSLServerName OID: 2.16.840.1.113730.1.12

### netscapeCertComment

    public static final ASN1ObjectIdentifier netscapeCertComment

  Netscape cert CertComment OID: 2.16.840.1.113730.1.13

### verisign

    public static final ASN1ObjectIdentifier verisign

  Verisign OID base: 2.16.840.1.113733.1

### verisignCzagExtension

    public static final ASN1ObjectIdentifier verisignCzagExtension

  Verisign CZAG (Country,Zip,Age,Gender) Extension OID: 2.16.840.1.113733.1.6.3

### verisignPrivate_6_9

    public static final ASN1ObjectIdentifier verisignPrivate_6_9

### verisignOnSiteJurisdictionHash

    public static final ASN1ObjectIdentifier verisignOnSiteJurisdictionHash

### verisignBitString_6_13

    public static final ASN1ObjectIdentifier verisignBitString_6_13

### verisignDnbDunsNumber

    public static final ASN1ObjectIdentifier verisignDnbDunsNumber

  Verisign D&B D-U-N-S number Extension OID: 2.16.840.1.113733.1.6.15

### verisignIssStrongCrypto

    public static final ASN1ObjectIdentifier verisignIssStrongCrypto

### novell

    public static final ASN1ObjectIdentifier novell

  Novell OID base: 2.16.840.1.113719

### novellSecurityAttribs

    public static final ASN1ObjectIdentifier novellSecurityAttribs

  Novell SecurityAttribs OID: 2.16.840.1.113719.1.9.4.1

### entrust

    public static final ASN1ObjectIdentifier entrust

  NortelNetworks Entrust OID base: 1.2.840.113533.7

### entrustVersionExtension

    public static final ASN1ObjectIdentifier entrustVersionExtension

  NortelNetworks Entrust VersionExtension OID: 1.2.840.113533.7.65.0

### cast5CBC

    public static final ASN1ObjectIdentifier cast5CBC

  cast5CBC OBJECT IDENTIFIER ::= {iso(1) member-body(2) us(840) nt(113533) nsn(7) algorithms(66) 10} SEE RFC 2984

### hMAC_SHA1

    public static final ASN1ObjectIdentifier hMAC_SHA1

### as_sys_sec_alg_ideaCBC

    public static final ASN1ObjectIdentifier as_sys_sec_alg_ideaCBC

### cryptlib

    public static final ASN1ObjectIdentifier cryptlib

### cryptlib_algorithm

    public static final ASN1ObjectIdentifier cryptlib_algorithm

### cryptlib_algorithm_blowfish_ECB

    public static final ASN1ObjectIdentifier cryptlib_algorithm_blowfish_ECB

### cryptlib_algorithm_blowfish_CBC

    public static final ASN1ObjectIdentifier cryptlib_algorithm_blowfish_CBC

### cryptlib_algorithm_blowfish_CFB

    public static final ASN1ObjectIdentifier cryptlib_algorithm_blowfish_CFB

### cryptlib_algorithm_blowfish_OFB

    public static final ASN1ObjectIdentifier cryptlib_algorithm_blowfish_OFB

### blake2

    public static final ASN1ObjectIdentifier blake2

### id_blake2b160

    public static final ASN1ObjectIdentifier id_blake2b160

### id_blake2b256

    public static final ASN1ObjectIdentifier id_blake2b256

### id_blake2b384

    public static final ASN1ObjectIdentifier id_blake2b384

### id_blake2b512

    public static final ASN1ObjectIdentifier id_blake2b512

### id_blake2s128

    public static final ASN1ObjectIdentifier id_blake2s128

### id_blake2s160

    public static final ASN1ObjectIdentifier id_blake2s160

### id_blake2s224

    public static final ASN1ObjectIdentifier id_blake2s224

### id_blake2s256

    public static final ASN1ObjectIdentifier id_blake2s256

### blake3

    public static final ASN1ObjectIdentifier blake3

### blake3_256

    public static final ASN1ObjectIdentifier blake3_256

### id_scrypt

    public static final ASN1ObjectIdentifier id_scrypt

### id_alg_composite

    public static final ASN1ObjectIdentifier id_alg_composite

### id_composite_key

    public static final ASN1ObjectIdentifier id_composite_key

### id_oracle_pkcs12_trusted_key_usage

    public static final ASN1ObjectIdentifier id_oracle_pkcs12_trusted_key_usage

### id_composite_signatures

    public static final ASN1ObjectIdentifier id_composite_signatures

### id_MLDSA65_RSA3072_PSS_SHA256

    public static final ASN1ObjectIdentifier id_MLDSA65_RSA3072_PSS_SHA256

### id_MLDSA65_RSA3072_PKCS15_SHA256

    public static final ASN1ObjectIdentifier id_MLDSA65_RSA3072_PKCS15_SHA256

### id_MLDSA65_RSA4096_PSS_SHA384

    public static final ASN1ObjectIdentifier id_MLDSA65_RSA4096_PSS_SHA384

### id_MLDSA65_RSA4096_PKCS15_SHA384

    public static final ASN1ObjectIdentifier id_MLDSA65_RSA4096_PKCS15_SHA384

### id_MLDSA65_ECDSA_P384_SHA384

    public static final ASN1ObjectIdentifier id_MLDSA65_ECDSA_P384_SHA384

### id_MLDSA65_ECDSA_brainpoolP256r1_SHA256

    public static final ASN1ObjectIdentifier id_MLDSA65_ECDSA_brainpoolP256r1_SHA256

### id_MLDSA87_ECDSA_P384_SHA384

    public static final ASN1ObjectIdentifier id_MLDSA87_ECDSA_P384_SHA384

### id_MLDSA87_ECDSA_brainpoolP384r1_SHA384

    public static final ASN1ObjectIdentifier id_MLDSA87_ECDSA_brainpoolP384r1_SHA384

### id_MLDSA87_Ed448_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA87_Ed448_SHA512

### id_HashMLDSA44_RSA2048_PSS_SHA256

    public static final ASN1ObjectIdentifier id_HashMLDSA44_RSA2048_PSS_SHA256

### id_HashMLDSA44_RSA2048_PKCS15_SHA256

    public static final ASN1ObjectIdentifier id_HashMLDSA44_RSA2048_PKCS15_SHA256

### id_HashMLDSA44_Ed25519_SHA512

    public static final ASN1ObjectIdentifier id_HashMLDSA44_Ed25519_SHA512

### id_HashMLDSA44_ECDSA_P256_SHA256

    public static final ASN1ObjectIdentifier id_HashMLDSA44_ECDSA_P256_SHA256

### id_HashMLDSA65_RSA3072_PSS_SHA512

    public static final ASN1ObjectIdentifier id_HashMLDSA65_RSA3072_PSS_SHA512

### id_HashMLDSA65_RSA3072_PKCS15_SHA512

    public static final ASN1ObjectIdentifier id_HashMLDSA65_RSA3072_PKCS15_SHA512

### id_HashMLDSA65_RSA4096_PSS_SHA512

    public static final ASN1ObjectIdentifier id_HashMLDSA65_RSA4096_PSS_SHA512

### id_HashMLDSA65_RSA4096_PKCS15_SHA512

    public static final ASN1ObjectIdentifier id_HashMLDSA65_RSA4096_PKCS15_SHA512

### id_HashMLDSA65_ECDSA_P384_SHA512

    public static final ASN1ObjectIdentifier id_HashMLDSA65_ECDSA_P384_SHA512

### id_HashMLDSA65_ECDSA_brainpoolP256r1_SHA512

    public static final ASN1ObjectIdentifier id_HashMLDSA65_ECDSA_brainpoolP256r1_SHA512

### id_HashMLDSA65_Ed25519_SHA512

    public static final ASN1ObjectIdentifier id_HashMLDSA65_Ed25519_SHA512

### id_HashMLDSA87_ECDSA_P384_SHA512

    public static final ASN1ObjectIdentifier id_HashMLDSA87_ECDSA_P384_SHA512

### id_HashMLDSA87_ECDSA_brainpoolP384r1_SHA512

    public static final ASN1ObjectIdentifier id_HashMLDSA87_ECDSA_brainpoolP384r1_SHA512

### id_HashMLDSA87_Ed448_SHA512

    public static final ASN1ObjectIdentifier id_HashMLDSA87_Ed448_SHA512

### id_MLDSA_COMPSIG

    public static final ASN1ObjectIdentifier id_MLDSA_COMPSIG

### id_MLDSA44_RSA2048_PSS_SHA256

    public static final ASN1ObjectIdentifier id_MLDSA44_RSA2048_PSS_SHA256

  2.16.840.1.114027.80.9.1.0 id-MLDSA44-RSA2048-PSS-SHA256

### id_MLDSA44_RSA2048_PKCS15_SHA256

    public static final ASN1ObjectIdentifier id_MLDSA44_RSA2048_PKCS15_SHA256

  2.16.840.1.114027.80.9.1.1 id-MLDSA44-RSA2048-PKCS15-SHA256

### id_MLDSA44_Ed25519_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA44_Ed25519_SHA512

  2.16.840.1.114027.80.9.1.2 id-MLDSA44-Ed25519-SHA512

### id_MLDSA44_ECDSA_P256_SHA256

    public static final ASN1ObjectIdentifier id_MLDSA44_ECDSA_P256_SHA256

  2.16.840.1.114027.80.9.1.3 id-MLDSA44-ECDSA-P256-SHA256

### id_MLDSA65_RSA3072_PSS_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA65_RSA3072_PSS_SHA512

  2.16.840.1.114027.80.9.1.4 id-MLDSA65-RSA3072-PSS-SHA512

### id_MLDSA65_RSA3072_PKCS15_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA65_RSA3072_PKCS15_SHA512

  2.16.840.1.114027.80.9.1.5 id-MLDSA65-RSA3072-PKCS15-SHA512

### id_MLDSA65_RSA4096_PSS_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA65_RSA4096_PSS_SHA512

  2.16.840.1.114027.80.9.1.6 id-MLDSA65-RSA4096-PSS-SHA512

### id_MLDSA65_RSA4096_PKCS15_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA65_RSA4096_PKCS15_SHA512

  2.16.840.1.114027.80.9.1.7 id-MLDSA65-RSA4096-PKCS15-SHA512

### id_MLDSA65_ECDSA_P256_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA65_ECDSA_P256_SHA512

  2.16.840.1.114027.80.9.1.8 id-MLDSA65-ECDSA-P256-SHA512

### id_MLDSA65_ECDSA_P384_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA65_ECDSA_P384_SHA512

  2.16.840.1.114027.80.9.1.9 id-MLDSA65-ECDSA-P384-SHA512

### id_MLDSA65_ECDSA_brainpoolP256r1_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA65_ECDSA_brainpoolP256r1_SHA512

  2.16.840.1.114027.80.9.1.10 id-MLDSA65-ECDSA-brainpoolP256r1-SHA512

### id_MLDSA65_Ed25519_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA65_Ed25519_SHA512

  2.16.840.1.114027.80.9.1.11 id-MLDSA65-Ed25519-SHA512

### id_MLDSA87_ECDSA_P384_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA87_ECDSA_P384_SHA512

  2.16.840.1.114027.80.9.1.12 id-MLDSA87-ECDSA-P384-SHA512

### id_MLDSA87_ECDSA_brainpoolP384r1_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA87_ECDSA_brainpoolP384r1_SHA512

  2.16.840.1.114027.80.9.1.13 id-MLDSA87-ECDSA-brainpoolP384r1-SHA512

### id_MLDSA87_Ed448_SHAKE256

    public static final ASN1ObjectIdentifier id_MLDSA87_Ed448_SHAKE256

  2.16.840.1.114027.80.9.1.14 id-MLDSA87-Ed448-SHAKE256

### id_MLDSA87_RSA3072_PSS_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA87_RSA3072_PSS_SHA512

  2.16.840.1.114027.80.9.1.15 id-MLDSA87-RSA3072-PSS-SHA512

### id_MLDSA87_RSA4096_PSS_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA87_RSA4096_PSS_SHA512

  2.16.840.1.114027.80.9.1.16 id-MLDSA87-RSA4096-PSS-SHA512

### id_MLDSA87_ECDSA_P521_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA87_ECDSA_P521_SHA512

  2.16.840.1.114027.80.9.1.17 id-MLDSA87-ECDSA-P521-SHA512

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD